Open Source implementation of APCO P25
You can not select more than 25 topics Topics must start with a letter or number, can include dashes ('-') and can be up to 35 characters long.
 
 
 
 
 
 
Max dc6856d26c experimental h-cpm demod 2 days ago
cmake CMakeLists.txt, remove cmake Gr* modules 1 year ago
docs move docs to project root, fix cmake error 9 years ago
op25 experimental h-cpm demod 2 days ago
scripts udev and blacklist rules for airspy and rtl 2 months ago
.gitignore Make .gitignore a bit clearer 2 years ago
CMakeLists.txt gr3.8 build 2 months ago
README gr3.8 build 2 months ago
README-gr3.8.patch gr3.8 build 2 months ago
README-gr3.9 gr3.8 build 2 months ago
add_gr3.9.py scripts 3 months ago
gr3.8.patch python: drop gru from import 7 months ago
install-gr3.9.sh udev and blacklist rules for airspy and rtl 2 months ago
install.sh gr3.8 build 2 months ago

README


As of this writing (Sept. 2022) OP25 builds for python3 and GNU Radio 3.8.

The full list of supported versions is as follows:

PYTHON 2 AND GNU RADIO 3.7
==========================
It should still be possible to use the file gr3.8.patch (in reverse) to
downgrade the source tree to build against Python 2 and GNU Radio 3.7,
although this has not been tested.
$ cat gr3.8.patch | patch -p1 -R
Once this has been done, proceed by running the install.sh script.

PYTHON 3 AND GNU RADIO 3.8
==========================
It is no longer necessary to apply the gr3.8 patch to the op25 source tree,
as Python3/GNU Radio 3.8 is now the default. You can proceed directly to
running the install.sh script.

PYTHON 3 AND GNU RADIO 3.9 / 3.10
=================================
It is no longer necessary to apply the gr3.8 patch to the op25 source tree,
See the file README-gr3.9 for procedures for both GNU Radio 3.9 and 3.10.